Functions

# hal_UCS.c File Reference

This file contains definitions for the Hardware Abstraction Layer (HAL) specifically created for the MSP430. More...

`#include "msp430.h"`
`#include "hal_UCS.h"`

Go to the source code of this file.

## Functions
void | LFXT_Start (uint16_t xtdrive)
uint16_t | LFXT_Start_Timeout (uint16_t xtdrive, uint16_t timeout)
void | XT1_Start (uint16_t xtdrive)
uint16_t | XT1_Start_Timeout (uint16_t xtdrive, uint16_t timeout)
void | XT1_Bypass (void)
void | XT2_Start (uint16_t xtdrive)
uint16_t | XT2_Start_Timeout (uint16_t xtdrive, uint16_t timeout)
void | XT2_Bypass (void)
void | Init_FLL_Settle (uint16_t fsystem, uint16_t ratio)

## Detailed Description

This file contains definitions for the Hardware Abstraction Layer (HAL) specifically created for the MSP430.

Author:
  Texas Instruments, Inc

Date:
  November 2010

Version:
  1.0 Initial version

Note:
  Built with IAR for MSP430 Version: 5.10

Definition in file hal_UCS.c.

## Function Documentation

void Init_FLL_Settle | ( | uint16_t | fsystem,
|  | uint16_t | ratio |
| ) |  |  |

Initializes FLL of the UCS and wait till settled

Parameters:

  | fsystem | required system frequency (MCLK) in kHz
  | ratio | ratio between MCLK and FLLREFCLK

Definition at line 237 of file hal_UCS.c.

void LFXT_Start | ( | uint16_t | xtdrive | ) |

Startup routine for 32kHz Cristal on LFXT1

Definition at line 92 of file hal_UCS.c.

uint16_t LFXT_Start_Timeout | ( | uint16_t | xtdrive,
|  | uint16_t | timeout |
| ) |  |  |

Startup routine for 32kHz Cristal on LFXT1 with timeout counter

Definition at line 108 of file hal_UCS.c.

void XT1_Bypass | ( | void |  | ) |

Use XT1 in Bypasss mode

Definition at line 165 of file hal_UCS.c.

void XT1_Start | ( | uint16_t | xtdrive | ) |

Startup routine for XT1

Definition at line 129 of file hal_UCS.c.

uint16_t XT1_Start_Timeout | ( | uint16_t | xtdrive,
|  | uint16_t | timeout |
| ) |  |  |

Startup routine for XT1 with timeout counter

Definition at line 145 of file hal_UCS.c.

void XT2_Bypass | ( | void |  | ) |

Use XT2 in Bypasss mode

Definition at line 218 of file hal_UCS.c.

void XT2_Start | ( | uint16_t | xtdrive | ) |

Startup routine for XT2

Definition at line 180 of file hal_UCS.c.

uint16_t XT2_Start_Timeout | ( | uint16_t | xtdrive,
|  | uint16_t | timeout |
| ) |  |  |

Startup routine for XT2 with timeout counter

Definition at line 197 of file hal_UCS.c.